Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.messaging
Class PostOfficeImpl

    java.lang.Object
      |
      +--theory.smart.foundation.SessionImpl
            |
            +--theory.smart.axiom.messaging.PostOfficeImpl

public class PostOfficeImpl
extends SessionImpl

The main interface to a simplistic messaging protocol. Users of the PostOffice can send a message to another party or retreive a reference to a `Mailbox` from which messages can be read. The mail box can be used to send and receive messages directly. These classes provide no security or authentication so the using application must guarantees these separately and programatically.

See Also:
  `PostOffice`, `PostOfficeHome`, Serialized Form

Field Summary
`MailboxHome` | `mailboxHome`

Fields inherited from class theory.smart.foundation.SessionImpl
`ctx, isDirty`

Constructor Summary
`PostOfficeImpl()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbPostCreate()`
`void` | `ejbRemove()`
`Mailbox` | `findMailbox(java.lang.String stakeHolderId)` Find the mailbox for the user.
`void` | `sendMessage(java.lang.String to, java.lang.String body, java.lang.String from)` Retrieve the Mailbox for the "To" and add a message with the specified "From" and message text.
`void` | `setSessionContext(SessionContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mailboxHome

    public transient MailboxHome mailboxHome

Constructor Detail

### PostOfficeImpl

    public PostOfficeImpl()
                   throws CreateException

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException,
                          java.rmi.RemoteException

  Overrides:
    ejbCreate in class SessionImpl

### ejbPostCreate

    public void ejbPostCreate()
                       throws CreateException,
                              java.rmi.RemoteException

  Overrides:
    ejbPostCreate in class SessionImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Overrides:
    ejbActivate in class SessionImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Overrides:
    ejbPassivate in class SessionImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException

  Overrides:
    ejbRemove in class SessionImpl

### setSessionContext

    public void setSessionContext(SessionContext ctx)
                           throws java.rmi.RemoteException

  Overrides:
    setSessionContext in class SessionImpl

### sendMessage

    public void sendMessage(java.lang.String to,
                            java.lang.String body,
                            java.lang.String from)
                     throws java.rmi.RemoteException

  Retrieve the Mailbox for the "To" and add a message with the specified "From" and message text.

### findMailbox

    public Mailbox findMailbox(java.lang.String stakeHolderId)
                        throws java.rmi.RemoteException,
                               CreateException,
                               javax.naming.NamingException

  Find the mailbox for the user.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.